echo "Creating $LOCATION_ROOT/$APP_NAME_LC/plugin_${APP_NAME_LC}.h...";
cat << EOF > $LOCATION_ROOT/$APP_NAME_LC/plugin_${APP_NAME_LC}.h
#ifndef PLUGIN_${APP_NAME_UC}_H
#define PLUGIN_${APP_NAME_UC}_H

#include <tdeparts/plugin.h>

class Plugin${APP_NAME} : public KParts::Plugin
{
  TQ_OBJECT
  
public:
  Plugin${APP_NAME}( TQObject* parent = 0, const char* name = 0, 
                     const TQStringList &args = TQStringList() );
  virtual ~Plugin${APP_NAME}();

public slots:
  void slotAction();
};

#endif // PLUGIN_${APP_NAME_UC}_H
